﻿/*
* This file is part of - WebExtras
* Copyright (C) 2013 Mihir Mone
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#pragma warning disable 1591


namespace WebExtras.Mvc.Bootstrap
{
  /// <summary>
  /// A collection of all available Font-Awesome library
  /// bootstrap icons
  /// </summary>
  public enum EFontAwesomeIcon
  {
    Adjust,
    Align_Center,
    Align_Justify,
    Align_Left,
    Align_Right,
    Ambulance,
    Anchor,
    Angle_Down,
    Angle_Left,
    Angle_Right,
    Angle_Up,
    Arrow_Down,
    Arrow_Left,
    Arrow_Right,
    Arrow_Up,
    Asterisk,
    Backward,
    Ban_Circle,
    Bar_Chart,
    Barcode,
    Beaker,
    Beer,
    Bell,
    Bell_Alt,
    Bold,
    Bolt,
    Book,
    Bookmark,
    Bookmark_Empty,
    Briefcase,
    Bullhorn,
    Bullseye,
    Calendar,
    Calendar_Empty,
    Camera,
    Camera_Retro,
    Caret_Down,
    Caret_Left,
    Caret_Right,
    Caret_Up,
    Certificate,
    Check,
    Check_Empty,
    Check_Minus,
    Check_Sign,
    Chevron_Down,
    Chevron_Left,
    Chevron_Right,
    Chevron_Sign_Down,
    Chevron_Sign_Left,
    Chevron_Sign_Right,
    Chevron_Sign_Up,
    Chevron_Up,
    Circle,
    Circle_Arrow_Down,
    Circle_Arrow_Left,
    Circle_Arrow_Right,
    Circle_Arrow_Up,
    Circle_Blank,
    Cloud,
    Cloud_Download,
    Cloud_Upload,
    Code,
    Code_Fork,
    Coffee,
    Cog,
    Cogs,
    Collapse_Alt,
    Columns,
    Comment,
    Comment_Alt,
    Comments,
    Comments_Alt,
    Copy,
    Credit_Card,
    Crop,
    Css3,
    Cut,
    Dashboard,
    Desktop,
    Double_Angle_Down,
    Double_Angle_Left,
    Double_Angle_Right,
    Double_Angle_Up,
    Download,
    Download_Alt,
    Edit,
    Edit_Sign,
    Eject,
    Ellipsis_Horizontal,
    Ellipsis_Vertical,
    Envelope,
    Envelope_Alt,
    Eraser,
    Exchange,
    Exclamation,
    Exclamation_Sign,
    Expand_Alt,
    External_Link,
    External_Link_Sign,
    Eye_Close,
    Eye_Open,
    Facebook,
    Facebook_Sign,
    Facetime_Video,
    Fast_Backward,
    Fast_Forward,
    Fighter_Jet,
    File,
    File_Alt,
    Film,
    Filter,
    Fire,
    Fire_Extinguisher,
    Flag,
    Flag_Alt,
    Flag_Checkered,
    Folder_Close,
    Folder_Close_Alt,
    Folder_Open,
    Folder_Open_Alt,
    Font,
    Food,
    Forward,
    Frown,
    Fullscreen,
    Gamepad,
    Gift,
    Github,
    Github_Sign,
    Glass,
    Globe,
    Google_Plus,
    Google_Plus_Sign,
    Group,
    H_Sign,
    Hand_Down,
    Hand_Left,
    Hand_Right,
    Hand_Up,
    Hdd,
    Headphones,
    Heart,
    Heart_Empty,
    Home,
    Hospital,
    Html5,
    Inbox,
    Indent_Left,
    Indent_Right,
    Info,
    Info_Sign,
    Italic,
    Key,
    Keyboard,
    Laptop,
    Leaf,
    Legal,
    Lemon,
    Level_Down,
    Level_Up,
    Lightbulb,
    Link,
    Linkedin,
    Linkedin_Sign,
    List,
    List_Alt,
    List_Ol,
    List_Ul,
    Location_Arrow,
    Lock,
    Magic,
    Magnet,
    Mail_Forward,
    Mail_Reply,
    Mail_Reply_All,
    Map_Marker,
    Maxcdn,
    Medkit,
    Meh,
    Microphone,
    Microphone_Off,
    Minus,
    Minus_Sign,
    Minus_Sign_Alt,
    Mobile_Phone,
    Money,
    Move,
    Music,
    Off,
    Ok,
    Ok_Circle,
    Ok_Sign,
    Paper_Clip,
    Paste,
    Pause,
    Pencil,
    Phone,
    Phone_Sign,
    Picture,
    Pinterest,
    Pinterest_Sign,
    Plane,
    Play,
    Play_Circle,
    Play_Sign,
    Plus,
    Plus_Sign,
    Plus_Sign_Alt,
    Print,
    Pushpin,
    Puzzle_Piece,
    Qrcode,
    Question,
    Question_Sign,
    Quote_Left,
    Quote_Right,
    Random,
    Refresh,
    Remove,
    Remove_Circle,
    Remove_Sign,
    Reorder,
    Repeat,
    Reply,
    Reply_All,
    Resize_Full,
    Resize_Horizontal,
    Resize_Small,
    Resize_Vertical,
    Retweet,
    Road,
    Rocket,
    Rotate_Left,
    Rotate_Right,
    Rss,
    Rss_Sign,
    Save,
    Screenshot,
    Search,
    Share,
    Share_Alt,
    Share_Sign,
    Shield,
    Shopping_Cart,
    Sign_Blank,
    Signal,
    Signin,
    Signout,
    Sitemap,
    Smile,
    Sort,
    Sort_Down,
    Sort_Up,
    Spinner,
    Star,
    Star_Empty,
    Star_Half,
    Star_Half_Empty,
    Star_Half_Full,
    Step_Backward,
    Step_Forward,
    Stethoscope,
    Stop,
    Strikethrough,
    Subscript,
    Superscript,
    Table,
    Tablet,
    Tag,
    Tags,
    Tasks,
    Terminal,
    Text_Height,
    Text_Width,
    Th,
    Th_Large,
    Th_List,
    Thumbs_Down,
    Thumbs_Up,
    Ticket,
    Time,
    Tint,
    Trash,
    Trophy,
    Truck,
    Twitter,
    Twitter_Sign,
    Umbrella,
    Underline,
    Undo,
    Unlink,
    Unlock,
    Unlock_Alt,
    Upload,
    Upload_Alt,
    User,
    User_Md,
    Volume_Down,
    Volume_Off,
    Volume_Up,
    Warning_Sign,
    Wrench,
    Zoom_In,
    Zoom_Out,
  }
}
